Zum Inhalt springen

Saldo de créditos de um perfil

GET/api/credits/profiles/{profileId}

Auth
Token erforderlich
Wer darf:
owner
admin
moderator
finance
X-CommunityId
X-CommunityId Sende die X-CommunityId der Community, in der die Operation stattfindet.
Die Beschreibungen der Endpoints stammen aus der API-Spezifikation und sind vorerst auf Portugiesisch. Die Oberfläche drumherum ist übersetzt.

Owner, admin, moderador e financeiro leem o saldo de qualquer perfil da comunidade; o membro só o próprio (outro perfil: 403). Perfil de outra comunidade: 404.

Parameter

NameOrtTypBeschreibung
profileIdPflichtpathstring (uuid)

Header

NameTypBeschreibung
X-CommunityIdoptionalstring (uuid)ID da comunidade em que a operação acontece. Obrigatório na maioria dos endpoints com escopo de comunidade.

Antworten

StatusBeschreibung
200Saldo
403Autenticado, mas sem permissão para esta operação.
404Recurso não encontrado.

curl-Beispiel

curl -X GET "https://api.memberfy.net/api/credits/profiles/<profileId>" \
  -H "Authorization: Bearer $TOKEN" \
  -H "X-CommunityId: $COMMUNITY_ID"